@inject('list', 'List')
@extends("template.{$template}.content.layout")
@section("titulo")
<title>{{$title}}</title>
@endsection
@section("head")
    <style>
        .cookieConsentContainer {
            z-index: 999;
            width: 350px;
            min-height: 20px;
            box-sizing: border-box;
            padding: 30px 30px 30px 30px;
            background: #232323;
            overflow: hidden;
            position: fixed;
            bottom: 30px;
            right: 30px;
            display: none
        }

        .cookieConsentContainer .cookieTitle a {
            font-family: OpenSans, arial, sans-serif;
            color: #fff;
            font-size: 22px;
            line-height: 20px;
            display: block
        }

        .cookieConsentContainer .cookieDesc p {
            margin: 0;
            padding: 0;
            font-family: OpenSans, arial, sans-serif;
            color: #fff;
            font-size: 13px;
            line-height: 20px;
            display: block;
            margin-top: 10px
        }

        .cookieConsentContainer .cookieDesc a {
            font-family: OpenSans, arial, sans-serif;
            color: #fff;
            text-decoration: underline
        }

        .cookieConsentContainer .cookieButton a {
            display: inline-block;
            font-family: OpenSans, arial, sans-serif;
            color: #fff;
            font-size: 14px;
            font-weight: 700;
            margin-top: 14px;
            background: #27CED7;
            box-sizing: border-box;
            padding: 15px 24px;
            text-align: center;
            transition: background .3s;
        }

        .cookieConsentContainer .cookieButton a:hover {
            cursor: pointer;
            background: #3BACC3
        }

        @media (max-width:980px) {
            .cookieConsentContainer {
                bottom: 0 !important;
                left: 0 !important;
                width: 100% !important
            }
        }
    </style>
@endsection
@section("content")    
    <main id="main">
        @php($carrossel = $list->findByName("Carrossel"))
        @if($carrossel && !$carrossel->inativo)
            @include("template.{$template}.content.secoes.vitrine")
        @endif
        @php($principal = $list->findByName("principal"))
        @if($principal && !$principal->inativo)
            @include("template.{$template}.content.secoes.home")
        @endif
        @php($vitrine2 = $list->findByName("vitrine2"))
        @if($vitrine2 && !$vitrine2->inativo)
            @include("template.{$template}.content.secoes.vitrine2")
        @endif
        @php($destaque = $list->findByName("destaque"))
        @if($destaque && !$destaque->inativo)
            @include("template.{$template}.content.secoes.destaque")
        @endif
        @php($vitrine3 = $list->findByName("vitrine3"))
        @if($vitrine3 && !$vitrine3->inativo)
            @include("template.{$template}.content.secoes.vitrine3")
        @endif
        @php($parceiros = $list->findByName("parceiros"))
        @if($parceiros && !$parceiros->inativo)
            @include("template.{$template}.content.secoes.parceiros")
        @endif
        @php($portfolio = $list->findByName("portfolio"))
        @if($portfolio && !$portfolio->inativo)
            @include("template.{$template}.content.secoes.portfolio")
        @endif
        @php($depoimentos = $list->findByName("depoimentos"))
        @if($depoimentos && !$depoimentos->inativo)
            @include("template.{$template}.content.secoes.depoimentos")
        @endif
        @php($empresa = $list->findByName("empresa"))
        @if($empresa && !$empresa->inativo)
            @include("template.{$template}.content.secoes.empresa")
        @endif
        @php($equipe = $list->findByName("equipe"))
        @if($equipe && !$equipe->inativo)
            @include("template.{$template}.content.secoes.equipe")
        @endif
        @php($contato = $list->findByName("contato"))
        @if($contato && !$contato->inativo)
            @include("template.{$template}.content.secoes.contato")
        @endif
        @php($redes_sociais = $list->findByName("redes_sociais"))
        @if($redes_sociais && !$redes_sociais->inativo)
            @include("template.{$template}.content.secoes.redes_sociais")
        @endif
    </main>
    <div id="preloader" style="background:{{$_cor}};"></div>
@endsection